Bug 423661 - 'cluster request failed' during vgs command
Summary: 'cluster request failed' during vgs command
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: lvm2-cluster   
(Show other bugs)
Version: 5.1
Hardware: All Linux
high
high
Target Milestone: rc
: ---
Assignee: Milan Broz
QA Contact: Cluster QE
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-12-13 16:07 UTC by Corey Marthaler
Modified: 2013-03-01 04:06 UTC (History)
7 users (show)

Fixed In Version: RHBA-2008-0379
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 14:26:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2008:0379 normal SHIPPED_LIVE lvm2-cluster bug fix update 2008-05-20 13:30:13 UTC

Description Corey Marthaler 2007-12-13 16:07:50 UTC
Description of problem:
The rhel4 issue (bz 364081) exists in rhel5 as well.

2.6.18-53.1.4.el5
lvm2-2.02.26-3.el5
lvm2-cluster-2.02.26-1.el5

[root@grant-02 ~]# vgs -o pv_fmt  stripe_8_4260
  cluster request failed: Invalid argument
  Fmt
  lvm2
  lvm2
  lvm2
  lvm2
  lvm2
  lvm2
  lvm2
  lvm2

How reproducible:
everytime

Comment 1 Corey Marthaler 2007-12-13 16:51:01 UTC
Just like in rhel4, this bug causes lvm/clvm to deadlock.

Comment 3 Christine Caulfield 2007-12-18 09:03:54 UTC
The fix for this is already in CVS and the RHEL4 bug verified.

Should this bug be set to POST or do we need to wait for all the ACKs ?

Comment 5 Milan Broz 2008-01-18 00:19:05 UTC
In lvm2-cluster-2.02.30-1.el5.

Comment 7 Corey Marthaler 2008-04-08 19:16:28 UTC
Fix verified.

Comment 9 errata-xmlrpc 2008-05-21 14:26:36 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0379.html



Note You need to log in before you can comment on or make changes to this bug.